|  | Home · All Classes · Modules

# QPainter.RenderHints Class Reference
[QtGui module]

### Methods

- __init__ (self, RenderHints f)
- __init__ (self)

### Special Methods

- RenderHints __and__ (self, int mask)
- bool __eq__ (self, RenderHints f)
- RenderHints __iand__ (self, int mask)
- int __int__ (self)
- RenderHints __invert__ (self)
- RenderHints __ior__ (self, RenderHints f)
- RenderHints __ixor__ (self, RenderHints f)
- bool __ne__ (self, RenderHints f)
- int __nonzero__ (self)
- RenderHints __or__ (self, RenderHints f)
- RenderHints __xor__ (self, RenderHints f)

## Detailed Description

RenderHint may be used whenever RenderHints is expected.

## Method Documentation

### RenderHints.__init__ (self, RenderHints f)

### RenderHints.__init__ (self)

### RenderHints RenderHints.__and__ (self, int mask)

### bool RenderHints.__eq__ (self, RenderHints f)

### RenderHints RenderHints.__iand__ (self, int mask)

### int RenderHints.__int__ (self)

### RenderHints RenderHints.__invert__ (self)

### RenderHints RenderHints.__ior__ (self, RenderHints f)

### RenderHints RenderHints.__ixor__ (self, RenderHints f)

### bool RenderHints.__ne__ (self, RenderHints f)

### int RenderHints.__nonzero__ (self)

### RenderHints RenderHints.__or__ (self, RenderHints f)

### RenderHints RenderHints.__xor__ (self, RenderHints f)